%define _enable_debug_packages %{nil}
%define debug_package          %{nil}

#
# NOTE: rpm is unable to package filenames in an enocidng other than the
# the one it is currently using; so this package has to be build with
# an iso-8859-* locale; eg: LC_ALL=fr rpm -be specfile
#

%define src_ver 3.1

%define languageenglazy Romanian
%define languagecode ro
%define lc_ctype ro_RO

Summary:       %{languageenglazy} files for aspell
Name:          aspell-%{languagecode}
Version:       3.1
Release:       %mkrel 6
Group:         System/Internationalization
Source:        ftp://ftp.gnu.org/gnu/aspell/dict/ro/aspell5-ro-%version.tar.bz2
URL:           http://aspell.net/
License:	   Free

BuildRequires: aspell >= 0.50
BuildRequires: make
Requires:      aspell >= 0.50
BuildRequires: locales-fr

# Mageia Stuff
Requires:      locales-%{languagecode}
Provides:      aspell-dictionary
Provides:	   aspell-%{lc_ctype}
Provides:      spell-%{languagecode} >= 0.50.2-5mdk

Autoreqprov:   no

%description
A %{languageenglazy} dictionary for use with aspell, a spelling checker.

%prep
%setup -q -n aspell5-ro-%{src_ver}

%build
export LC_ALL=fr
# don't use configure macro
./configure

%make

%install
export LC_ALL=fr

%makeinstall_std

#cp doc/README README.%{languagecode}
chmod 644 README Copyright 

%files
%doc README Copyright
%{_libdir}/aspell-*/*


%changelog

* Thu Feb 16 2012 kamil <kamil> 3.1-6.mga2
+ Revision: 209485
- stop providing enchant-dictionary
- clean .spec a bit

  + dmorgan <dmorgan>
    - Remove mandriva occurencies

  + ahmad <ahmad>
    - imported package aspell-ro

